JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.devboxes.createSSHKey('id');
console.log(response.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
response = client.devboxes.create_ssh_key(
"id",
)
print(response.id)curl --request POST \
--url https://api.runloop.ai/v1/devboxes/{id}/create_ssh_key \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"url": "<string>",
"ssh_private_key": "<string>",
"ssh_user": "<string>"
}Devbox
Create an SSH key for a Devbox
Create an SSH key for a Devbox to enable remote access.
POST
/
v1
/
devboxes
/
{id}
/
create_ssh_key
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.devboxes.createSSHKey('id');
console.log(response.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
response = client.devboxes.create_ssh_key(
"id",
)
print(response.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Devbox ID.
Was this page helpful?
⌘I
